PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

September 24, 2010 // 9:35 pm - Update: A VirtualBox Image of Ubuntu_x86 10.10 with tools to compile PS3 Jailbreak Files as well as PS3 Applications/Packages has now reached its FINAL RELEASE which includes Multi SDK Support (both 3.41 and 1.92) with details HERE and updated download links below!

I have created a PS3 JailBreak Virtualbox Image of Ubuntu_x86 with all the tools to compile PSGroove and extract/create PS3 .PKG files.

This is for anyone who does not want to wait for others to compile PSGroove or those who just want to learn how it all works =)

Download: Ubuntu PS3 JailBreak VirtualBox Image for PSGroove / Ubuntu 10.10 PS3 Multi SDK

You will need:

• VirtualBox - Included

Login info once you get up and running:

User = evilsperm
Pass = password
sudo su password = password

To switch back and forth from 3.41 SDK to 1.92 SDK is very easy.

To switch SDK's:

On the desktop you will see a folder called SDK_Selector
Open that Dir and double click on the SDK you woudld like to use.
Select Run In Terminal, type in the password and hit enter.
The Terminal will disappear and the SDK you selected is ready for use!

This is a **Final Stable Release** until a new SDK is leaked.
Credit goes to (jtanner) for this Awesome Idea of multi switching sdk's!

I will seed this too 100% for the next few days, but keep in mind I am not on my Fiber optic connection at the moment so please be patient as I seed, also seed this as long as you can and don't be a leech =)

~evil

Ubuntu PS3 JailBreak VirtualBox Image for PSGroove Arrives

Ubuntu PS3 JailBreak VirtualBox Image for PSGroove Arrives

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.



#265 - evilsperm - October 22, 2010 // 5:40 pm
evilsperm's Avatar
modmate: this is the fix:

[Register or Login to view code]



If your still getting an error make sure all boards are commented out correctly. here is the same exact source I'm using and it works without issue.

#264 - modmate - October 22, 2010 // 4:10 pm
modmate's Avatar
Sorry but same error:

make[1]: *** No rule to make target `raw2payload.c', needed by `raw2payload'. Stop.


I changed correct in line 25-26.

Any more ?

Greets

#263 - evilsperm - October 22, 2010 // 3:45 pm
evilsperm's Avatar
Looks like you didn't edit the makefile... Make sure you set you board if your just trying to compile for a single board. I know your a linux noob and all but you should really research into things so you can actually learn, even though I put this VM together for noobs I didn't intent to hold everyones hand with extremely simple tasks.

Next time just try a few things to figure it out on your on and post what you did so others can learn from your mistakes

~evil

modmate: sorry I forgot to post the fix

change this line
[Register or Login to view code]

in the Makefile.payload to this:

[Register or Login to view code]


and it will work

#262 - modmate - October 22, 2010 // 2:20 pm
modmate's Avatar
#Evilsperm
Hi,

I`ve got a little Linux noob question again. In your latest VM release i see the source of Gaia manager, so my question is how to update it. Is it like kakaroto commands....git submodule init and so on? Also compile commands are. Sry,,, linux is not that easy for a windows user.:D

I loaded your latest VM yesterday and run it the first time today. So far there was no problems with the last release while compiling the hex files but now again something is wrong. Serious i changed nothing so far , jst run it and try to compiple a few but alway get this here:

make[1]: Leaving directory `/home/evilsperm/Desktop/psgroove-hermes-Linux-v4B/psgroove-hermes'
evilsperm@evil-Box:~/Desktop/psgroove-hermes-Linux-v4B/psgroove-hermes$ make
make[1]: Entering directory `/home/evilsperm/Desktop/psgroove-hermes-Linux-v4B/psgroove-hermes'
make[1]: *** No rule to make target `raw2payload.c', needed by `raw2payload'. Stop.
make[1]: Leaving directory `/home/evilsperm/Desktop/psgroove-hermes-Linux-v4B/psgroove-hermes'
make: *** [all] Error 2

Any advice on what to do?

Greets Modmate

#261 - jtanner - October 22, 2010 // 1:50 pm
jtanner's Avatar
Thanks evilsperm! Guest VM I can sort no probs, was just worried about the actual linux build.

#260 - evilsperm - October 22, 2010 // 12:57 pm
evilsperm's Avatar
Quote Originally Posted by jtanner View Post
Here's a quick question evilsperm: Is it safe to allow the update manager to do updates?

By safe - I mean it wont "break" anything such as any special patched versions etc etc?

The only thing that updates might break are the guest addons.

If that happens you can reinstall them pretty easy by mounting the guest addons iso reboot the VM and when you see the cd on the desktop rigt click it and autorun or you can go to terminal and:

cd /media/
ls
and run VboxLinuxAddons-x86

#259 - jtanner - October 22, 2010 // 10:32 am
jtanner's Avatar
Here's a quick question evilsperm: Is it safe to allow the update manager to do updates?

By safe - I mean it wont "break" anything such as any special patched versions etc etc?

#258 - bgcngm - October 21, 2010 // 5:16 pm
bgcngm's Avatar
Ohh, I'm sorry but I didn't saw that. Thank you for your prompt reply.

#257 - evilsperm - October 21, 2010 // 4:48 pm
evilsperm's Avatar
bgcngm: I posted it before the release that you won't be able to add app ver. with the SFO editor included in the VM, I have asked redsquirrel to fix his app and update it to 1.01

I haven't got a response back from him yet =(

So in the mean time just use one of the SFO editors in windows.

#256 - bgcngm - October 21, 2010 // 2:34 pm
bgcngm's Avatar
Quote Originally Posted by evilsperm View Post
If you are compiling apps that take advantage of 3.41 you will need to edit the .SFO to have a App Ver. or it will error when you do a make gen_pkg


Well, first of all thank you once again for your work.

I did tried to edit the .SFO when I was getting that compiling error, but I may be missing something. I use the SFO Editor included in your VM and whenever I load the .SFO (in this case GaiaManager .SFO) the App Ver. field is blank. I tried to change it to something like 1.00 and save, but it stays always blank. What's happening? Of course, with this behavior I can't get it to compile.